Bug 1447427 - Ansible Playbook service catalog item update failed with new_dialog_name and dialog_id both exist
Summary: Ansible Playbook service catalog item update failed with new_dialog_name and ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Bill Wei
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1447110
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-02 18:16 UTC by Satoe Imaishi
Modified: 2017-05-31 15:08 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1447110
Environment:
Last Closed: 2017-05-31 15:08:09 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-02 18:21:02 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/9a71b8e98e842ae7096f2df6b12a5478fc6b6caf

commit 9a71b8e98e842ae7096f2df6b12a5478fc6b6caf
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue May 2 13:27:09 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 2 14:19:54 2017 -0400

    Merge pull request #14958 from bzwei/dialog_id_and_name
    
    Prefer :dialog_id to :new_dialog_name in config_info
    (cherry picked from commit ec26e2b9e064ecb8cfa3ce52fa8718290ce1748c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1447427

 app/models/service_template_ansible_playbook.rb       | 13 +++++++------
 spec/models/service_template_ansible_playbook_spec.rb |  9 ++++-----
 2 files changed, 11 insertions(+), 11 deletions(-)

Comment 3 Dmitry Misharov 2017-05-16 06:39:11 UTC
Verified in 5.8.0.14-rc3.20170509175238_5dbf87a.

Comment 5 errata-xmlrpc 2017-05-31 15:08:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.